package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag199;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT199Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT199Creator mt199Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt199Creator= (MT199Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt199Creator.getNarrative();
        mt199Creator.set("79", tag79Value);
    }
}
